package de.cscherr.mcpht;

import de.cscherr.mcpht.config.MCPHTConfig;
import me.shedaniel.autoconfig.AutoConfig;
import net.fabricmc.api.ClientModInitializer;
import me.shedaniel.autoconfig.serializer.JanksonConfigSerializer;
import net.minecraft.client.gui.screen.Screen;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


public class MCPHTClient implements ClientModInitializer {
	public static final String MOD_ID = "mcpht";
	public static final String VERSION_NUMBER = "0.0.1";
	public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);
	public static MCPHTConfig CONFIG;

	@Override
	public void onInitializeClient() {
		AutoConfig.register(MCPHTConfig.class, JanksonConfigSerializer::new);
		// This entrypoint is suitable for setting up client-specific logic, such as rendering.
		CONFIG = AutoConfig.getConfigHolder(MCPHTConfig.class).getConfig();
		AutoConfig.getConfigHolder(MCPHTConfig.class).registerSaveListener((configHolder, mcphtConfig) -> {
			MCPHTConfig conf = AutoConfig.getConfigHolder(MCPHTConfig.class).getConfig();
			conf.onSave();
            return null;
        });
		AutoConfig.getConfigHolder(MCPHTConfig.class).registerLoadListener((configHolder, mcphtConfig) -> {
			MCPHTConfig conf = AutoConfig.getConfigHolder(MCPHTConfig.class).getConfig();
			conf.onLoad();
			return null;
		});
		LOGGER.info(String.format("CONFIG: \n" +
				"NetworkLogging\n" +
				"	RX: %b\n" +
				"	TX: %b\n" +
				"	verbosity: %s\n" +
				"	regex: '%s'", CONFIG.networkLogging.RX,
				CONFIG.networkLogging.TX,
				CONFIG.networkLogging.verbosity,
				CONFIG.networkLogging.regex));
		LOGGER.info("Init client!");
	}
}